Debian Bug report logs - #697747
salt-common: package is lacking salt/modules/debian_service.py

version graph

Package: salt-common; Maintainer for salt-common is Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>; Source for salt-common is src:salt.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Wed, 9 Jan 2013 09:30:01 UTC

Severity: grave

Found in version salt/0.11.1-1

Fixed in version salt/0.11.1+ds-1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Prokop <mika@debian.org>:
Bug#697747; Package salt-common. (Wed, 09 Jan 2013 09:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Prokop <mika@debian.org>. (Wed, 09 Jan 2013 09:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: salt-common: package is lacking salt/modules/debian_service.py
Date: Wed, 09 Jan 2013 10:27:51 +0100
Package: salt-common
Version: 0.11.1-1
Severity: grave
Justification: renders package unusable

The modules salt/modules/debian_service.py which is used to manage
services on Debian hosts has disappeared in this 0.11.1-1 version... this
is annoying as it breaks service management by salt.

I get this in particular:
An exception occured in this state: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/salt/state.py", line 1206, in call
    *cdata['args'], **cdata['kwargs'])
  File "/usr/lib/python2.7/dist-packages/salt/states/service.py", line 222, in running
    if __salt__['service.status'](name, sig):
KeyError: 'service.status'


The file is still there upstream:
https://github.com/saltstack/salt/blob/develop/salt/modules/debian_service.py

It's also present in the .tar.gz at
http://pypi.python.org/packages/source/s/salt/salt-0.11.1.tar.gz

So it must be a bug in the Debian packaging...

The file is missing in salt_0.11.1.orig.tar.gz uploaded to Debian. Any reason
why you're not using the pristine upstream tarball that can be downloaded with
uscan?

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 10:51:12 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 10:51:12 GMT) Full text and rfc822 format available.

Message #10 received at 697747-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 697747-close@bugs.debian.org
Subject: Bug#697747: fixed in salt 0.11.1+ds-1
Date: Wed, 09 Jan 2013 10:47:39 +0000
Source: salt
Source-Version: 0.11.1+ds-1

We believe that the bug you reported is fixed in the latest version of
salt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated salt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 09 Jan 2013 10:41:47 +0100
Source: salt
Binary: salt-common salt-master salt-minion salt-syndic salt-doc
Architecture: source all
Version: 0.11.1+ds-1
Distribution: unstable
Urgency: low
Maintainer: Michael Prokop <mika@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 salt-common - shared libraries that salt requires for all packages
 salt-doc   - additional documentation for salt, the distributed remote executi
 salt-master - remote manager to administer servers via salt
 salt-minion - client package for salt, the distributed remote execution system
 salt-syndic - master-of-masters for salt, the distributed remote execution syst
Closes: 697747
Changes: 
 salt (0.11.1+ds-1) unstable; urgency=low
 .
   * Team upload.
   * Re-roll a new orig.tar.gz for 0.11.1 that includes all the files with
     "debian" in their name. Closes: #697747
   * Update debian/watch to drop the (temporary) +ds suffix
Checksums-Sha1: 
 cc78638afdb64d2eb2d3b7e63caf43dd9f607fda 2341 salt_0.11.1+ds-1.dsc
 db98836458b92c43e38f2aca3930f804043181f2 846982 salt_0.11.1+ds.orig.tar.gz
 019f13ea35e7dd265dee26057e94413dcdda91cb 8943 salt_0.11.1+ds-1.debian.tar.gz
 eb8ce5ecdec9e0384a80bb9936e9bdf89710c8dc 624496 salt-common_0.11.1+ds-1_all.deb
 523ad7209fd26dea2f88943b2e073707ce699da0 20204 salt-master_0.11.1+ds-1_all.deb
 9d755dd80d3c8dec2f5e5f542d4b5a0393ff3b31 14324 salt-minion_0.11.1+ds-1_all.deb
 9b9cacc001c69a9ddb0cb25ab29dd328f154f077 6916 salt-syndic_0.11.1+ds-1_all.deb
 2f798ee4eed42a67c2664c521c3c25b6b510e1e3 705956 salt-doc_0.11.1+ds-1_all.deb
Checksums-Sha256: 
 3f2a13e1f0edf4a5167f4183e0880c97fa28d78c0aa1e21eea300321349716f1 2341 salt_0.11.1+ds-1.dsc
 6aa4c3ada4075fc3d39b8f793d6d0f58f4a683b56b9a3eef39240eda5e106d5e 846982 salt_0.11.1+ds.orig.tar.gz
 eb4114da0a525046acb912809fb9d62ba8deddb3875206d79dc1b1ae02fe2096 8943 salt_0.11.1+ds-1.debian.tar.gz
 2944be06f28ae9b40b1c5bbc474f14834448e54db2702a937f8c86847585776f 624496 salt-common_0.11.1+ds-1_all.deb
 d16d36451182872a05c83b96a488df16791a265f72c7c4671d96ead2d25f39db 20204 salt-master_0.11.1+ds-1_all.deb
 17753c57d2152d2ef986017915cf1a1daa12da28127882cd66444fb17707a3a6 14324 salt-minion_0.11.1+ds-1_all.deb
 726e631131e7018be2e0f9a803d597c30afb1e8db261725ec4afa6a62917b8da 6916 salt-syndic_0.11.1+ds-1_all.deb
 40cab3278d40303c56ed8b064b792cc110b904d007a32a19ca44eb88d4457909 705956 salt-doc_0.11.1+ds-1_all.deb
Files: 
 b7bab6ba569cbb423dd491e010c6bd60 2341 admin optional salt_0.11.1+ds-1.dsc
 0e96a361a5bfb9a208a6a30b2537a7c2 846982 admin optional salt_0.11.1+ds.orig.tar.gz
 7293c0bb09e75b1446fc1f952c25cff7 8943 admin optional salt_0.11.1+ds-1.debian.tar.gz
 b1c2516d7835c02426fa5f7c247c5e54 624496 admin optional salt-common_0.11.1+ds-1_all.deb
 de30f9e8940bfcd0badbfc35a4994cad 20204 admin optional salt-master_0.11.1+ds-1_all.deb
 7d3dfb8f16c4f71f30d3bd14f6edf327 14324 admin optional salt-minion_0.11.1+ds-1_all.deb
 ebd95e55950479ca587afeed4e79b95e 6916 admin optional salt-syndic_0.11.1+ds-1_all.deb
 948b54c412266663d424ca44377e913f 705956 doc optional salt-doc_0.11.1+ds-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJQ7UgTAAoJEOYZBF3yrHKa3K4QAMpHLL7kuCcxqmMcn8W3/jFn
xa/5GjplRNgM8TW45wHK5gdr1dm1S4VXjWO+9bYCcsSAnvF9rWVA7B0/77hm1EG5
EbxZb/TDNQyC32Mdk9YMgq6XiUktLBtdndr8WBekzVVOb11LARlw3ZXsXWLcAKnt
Oe8ctBv6Oj4/ddwn4ymLFe73ih4V4Scb/uIFPNK50vPZ553LaWuI3XAC6ZxejQmy
venA09Nm8d1jkBVoviz5hkj4awItg4ntQn/RT68uWdNc/xmNJGjkDWavlIvi0e8q
iKneMZ9b0rQrSpc+CJwnffcOL65mkPHFpwh2Wh9c9f435TCkNReXB6pN8q99Mevz
KO/QvJpnzDgJZa1nXs9o1+uZ8xLLxqEeMU2KGGNMImYALwgIcSNJIir8oKvRdX4j
XdwEyYdxSoZJImC/zooB3L62hKNRGmASqeinSEsCIKv4I9seUUhTyXor0sZf2rVB
ms3UbpZl65MLMyyOedEG1MbbTaoaNt/QtmFHB9ShqJWNRKAnJzfGuc8wwxbLiexg
dkpRG9p3ZogEVkzw0MqCKOSAv9otONOtZuHbdZ00ZgPdXC8+Hu6Y3qcqaMTrX1z1
Y1F/CZQiol12o1vik7E6bBRHS1uJ/bCB8hIuLvWrWMV7Gg8XfxYnKrh2U5w0Ce/x
XCuRuTsET2OgOwReY8E6
=csR0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:27:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:15:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.